//---------------------------------------------------------------------------
#ifndef SCalDemo1H
#define SCalDemo1H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "SCalSet.hpp"
#include <vcl\Mask.hpp>
#include "STools.hpp"
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
class TfrmDemo1 : public TForm
{
__published:	// IDE-managed Components
    TGroupBox *gbColor;
    TButton *ButtonColorCalCtrl;
    TButton *ButtonColorCalPop;
    TButton *ButtonColorCalEdit;
    TGroupBox *gbFont;
    TButton *ButtonFontCalPopup;
    TButton *ButtonFontCECal;
    TGroupBox *gbOptions;
    TCheckBox *cbNoToday;
    TRadioGroup *gbBorder;
    TSCalPopup *SCalPopup1;
    TButton *ButtonFontCEEdit;
    TComboBox *AreaSelectBox;
    TPanel *Panel1;
    TLabel *Label1;
    TSCalControl *SCalControl1;
    TButton *ButtonFontCalControl;
    TCheckBox *cbWeekNumbers;
    TCheckBox *cbMultiSelect;
    TMaskEdit *StartDate;
    TMaskEdit *EndDate;
    TLabel *Label2;
    TLabel *Label3;
    TPanel *Panel2;
    TLabel *Label4;
    TLabel *Label5;
    TMaskEdit *ceStartDate;
    TLabel *Label6;
    TMaskEdit *ceEndDate;
    TGroupBox *GroupBox4;
    TCheckBox *cbFloat;
    TCheckBox *cbQuick;
    TRadioGroup *rgShowButton;
    TRadioGroup *rgButtonPos;
    TRadioGroup *rgBorderStyle2;
    TPanel *Panel3;
    TLabel *Label7;
    TPageControl *PageControl1;
    TTabSheet *TabSheet1;
    TTabSheet *TabSheet2;
    TTabSheet *TabSheet3;
    TLabel *Label8;
    TCheckBox *FocusOnClick;
    TMaskEdit *MaskEdit2;
    TMaskEdit *MaskEdit1;
    TMaskEdit *MaskEdit3;
    TMaskEdit *MaskEdit4;
    TLabel *Label9;
    TLabel *Label10;
    TLabel *Label11;
    TLabel *Label12;
    TCheckBox *cpFloat;
    TMemo *MemoControl;
    TMemo *MemoPopup;
    TMemo *MemoCalEdit;
    TLabel *Label13;
    TCheckBox *cbSpin;
    TRadioGroup *rgModeDT;
    TSCalEdit *SCalEdit1;
	TBevel *Bevel1;
	TBevel *Bevel2;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	
	void __fastcall ButtonColorCalCtrlClick(TObject *Sender);
	void __fastcall ButtonColorCalPopClick(TObject *Sender);
	void __fastcall ButtonColorCalEditClick(TObject *Sender);
	void __fastcall ButtonFontCalControlClick(TObject *Sender);
	void __fastcall ButtonFontCalPopupClick(TObject *Sender);
	void __fastcall ButtonFontCEEditClick(TObject *Sender);
	void __fastcall ButtonFontCECalClick(TObject *Sender);
	void __fastcall gbBorderClick(TObject *Sender);
	void __fastcall cbNoTodayClick(TObject *Sender);
	void __fastcall cbWeekNumbersClick(TObject *Sender);
	void __fastcall cbMultiSelectClick(TObject *Sender);
	void __fastcall SCalControl1SelectDate(TObject *Sender);
	void __fastcall StartDateExit(TObject *Sender);
	void __fastcall EndDateExit(TObject *Sender);
	void __fastcall SCalEdit1SelectDate(TObject *Sender);
	void __fastcall SCalEdit1SelectTime(TObject *Sender);
	void __fastcall ceStartDateExit(TObject *Sender);
	void __fastcall ceEndDateExit(TObject *Sender);
	void __fastcall rgShowButtonClick(TObject *Sender);
	void __fastcall rgButtonPosClick(TObject *Sender);
	void __fastcall rgModeDTClick(TObject *Sender);
	void __fastcall rgBorderStyle2Click(TObject *Sender);
	void __fastcall cbFloatClick(TObject *Sender);
	void __fastcall cbQuickClick(TObject *Sender);
	void __fastcall cbSpinClick(TObject *Sender);
	void __fastcall SCalEdit1DblClick(TObject *Sender);
	void __fastcall Label8DblClick(TObject *Sender);
	void __fastcall FocusOnClickClick(TObject *Sender);
	void __fastcall MaskEdit1DblClick(TObject *Sender);
	void __fastcall MaskEdit2DblClick(TObject *Sender);
	void __fastcall MaskEdit3DblClick(TObject *Sender);
	void __fastcall MaskEdit4DblClick(TObject *Sender);
	void __fastcall SCalPopup1SelectDate(TObject *Sender);
	void __fastcall cpFloatClick(TObject *Sender);
private:	// User declarations
	TColorDialog *MyColor;
    TFontDialog *MyFont; 
public:		// User declarations
	__fastcall TfrmDemo1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TfrmDemo1 *frmDemo1;
//---------------------------------------------------------------------------
#endif
